<div>
    <div class="row">
        <div class="column" style="width:10%; display:flex;padding-left: 6px;">
            <div class="side-item fontSize" style="margin-right: 50px;margin-top: 30px;">ประเภท</div>
            <mat-form-field style="margin-top: 20px;" class="fontSize">
                <mat-label>เลือก</mat-label>
                <mat-select placeholder="State" (selectionChange)="applyFilter($event.value)">
                    <mat-option *ngFor="let state of states" [value]="state.viewValue">
                        {{ state.value }}
                    </mat-option>
                </mat-select>
            </mat-form-field>
        </div>
        <div class="column1" style="width:90%;display:flex;">
            <mat-form-field appearance="outline" style="margin-left: 50%; width: 40%; 
                margin-right: 5px;margin-top: 10px;">
                <mat-label>Search</mat-label>
                <input matInput (keyup)="applyFilter($event.target.value)" style="font-family: 'Kanit', sans-serif;">
                <mat-icon matSuffix class="fontSize">search</mat-icon>
            </mat-form-field>
            <button mat-raised-button color="primary" class="button-list fontSize" (click)=createListcheck()>
                <mat-icon>list</mat-icon> สร้างรายการ
            </button>
        </div>
    </div>
    <div class="side"></div>
    <br>
    <div class="mat-elevation-z1" style="width: 95%;margin: auto;margin-bottom: 50px;">
        <table mat-table  #table [dataSource]="dataSource" matSort >
          
            <ng-container matColumnDef="id">
                <th mat-header-cell *matHeaderCellDef mat-sort-header class="table-head"
                   > ลำดับ </th>
                <td mat-cell *matCellDef="let row" class="table-list"> {{row.id}} </td>
            </ng-container>
    
           
            <ng-container matColumnDef="list">
                <th mat-header-cell *matHeaderCellDef mat-sort-header class="table-head"> รายการ </th>
                <td mat-cell *matCellDef="let row" class="table-list"> {{row.list}} </td>
            </ng-container>
    
           
            <ng-container matColumnDef="type">
                <th mat-header-cell *matHeaderCellDef mat-sort-header class="table-head"> ประเภท </th>
                <td mat-cell *matCellDef="let row" class="table-list"> {{row.type}} </td>
            </ng-container>
    
           
            <ng-container matColumnDef="hour">
                <th mat-header-cell *matHeaderCellDef mat-sort-header class="table-head"> ชั่วโมง </th>
                <td mat-cell *matCellDef="let row" class="table-list"> {{row.hour}} </td>
            </ng-container>
    
            <ng-container matColumnDef="date">
                <th mat-header-cell *matHeaderCellDef mat-sort-header class="table-head"> วันที่ </th>
                <td mat-cell *matCellDef="let row" class="table-list"> {{row.date}} </td>
            </ng-container>
    
            <ng-container matColumnDef="check">
                <th mat-header-cell *matHeaderCellDef mat-sort-header class="table-head"> เช็คชื่อ </th>
                <td mat-cell *matCellDef="let row">
                    <img style="cursor: pointer; margin-right: 10px;" src="../../../assets/img/icons/icon-manual.png"   (click)=setData(row) routerLink="/manualCheck">
                    <img style="cursor: pointer; margin-right: 10px;" src="../../../../assets/img/icons/icon-barcode.png" (click)=setData(row) routerLink="/barcodeCheck">
                    <img style="cursor: pointer;" src="../../../../assets/img/icons/icon-credit.png" (click)=setData(row) routerLink="/rfidCheck">
                
                </td>
            </ng-container>
    
            <ng-container matColumnDef="tool">
                <th mat-header-cell *matHeaderCellDef mat-sort-header class="table-head"> เครื่องมือ </th>
                <td mat-cell *matCellDef="let row"><img src="../../../assets/img/icons/icon-edits.png" style="margin-right: 10px;cursor: pointer;" 
                    (click)=editListcheck(row)>
                    <img src="../../../assets/img/icons/icon-delete.png" (click)=deleteListcheck(row)>
                   </td>
            </ng-container>
    
            <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
            <tr class="example-element-row" mat-row *matRowDef="let row; columns: displayedColumns;" >
            </tr>
        </table>
        
    </div>
</div>
<router-outlet></router-outlet>


